/**
 * 版权所有 ©2019 莱欧有限公司
 * 工程名：lionbase
 * 文件名：WordUtil.java
 * 创建日期：2019年11月15日 下午3:32:50
 * 作者：mt.W
 */
package com.lion.util;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.InputStream;

import com.aspose.words.License;
import com.aspose.words.SaveFormat;
/**
 * 类描述  word工具类
 * @author mt.W
 * @since 2019年11月15日
 */
public class WordUtil {
	public static boolean getLicense() {
	  	boolean result = false;
	      try {
	    	  String path=WordUtil.class.getClassLoader().getResource("").toURI().getPath()+ "license.xml";
	          InputStream is = new FileInputStream(new File(path)); // license.xml应放在..\WebRoot\WEB-INF\classes路径下
	          License aposeLic = new License();
	          aposeLic.setLicense(is);
	          result = true;
	          if(is!=null){
	        	  is.close();
	          }
	      } catch (Exception e) {
	      	e.printStackTrace();
	      }
	      return result;
	  }
	/** word转pdf
	 * @param inPath word path
	 * @param outPath pdfpath
	 */
	public static boolean doc2pdf(String inPath, String outPath) {
      if (!getLicense()) { // 验证License 若不验证则转化出的pdf文档会有水印产生
          return false;
      }
      try {
          File file = new File(outPath); // 新建一个空白pdf文档
          FileOutputStream os = new FileOutputStream(file);
          com.aspose.words.Document doc = new com.aspose.words.Document(inPath); // Address是将要被转化的word文档
          doc.save(os, SaveFormat.PDF);// 全面支持DOC, DOCX, OOXML, RTF HTML, OpenDocument, PDF,
          os.close();                             // EPUB, XPS, SWF 相互转换
      } catch (Exception e) {
          e.printStackTrace();
          return false;
      }
      return true;
  }
}
